Description

Hello everybody

I need help in a difficult issue.  I tried to post in the Forum but I didn't get a answer. So I try it this way. I want change the landing

page for some users of my redmine application. So let me explain it a little more:

I have 6 projects in each I have some users who are old (not really but a little clumsy by using a cumputer) and they get sometimes

an issue from me. The different projects because a user XY from project a shouldn't see issues from project b but XY should see all

issues in project a, also the issues which are assigned to user YY.

My vision is now, that i modify the controllers, views etc. So that the users who are members of project 1-6 automaticly rederected to

a page which contains:

all Issues of the project (no editing only show)

    a logout button

    All the other stuff of redmine is very confusing for my users and they are not able to use it.

 I tried it for some weeks.

 I tried a few things. Which means edit controllers and views and make a new view. But when i load readmine and try to login there

are a plenty of errors.

I find a Method? in the model "user", the name is "member_of". This needs a project and give back true if the current user is member

and false if he is not. With that I want to modify the controller "account_controller" in the method "successful_authentication".

(something like "if user.member_of("blub")=>redirect_to...)

I hope i can find some help here. And i hope my explanation is ok. Sorry for my bad english.

Regards

Kalle

History

#1 - 2011-11-11 14:02 - Tim Felgentreff

Hi,

Finnlabs has published a plugin that allows you to customize the project overview page on a per project basis (and also User-specific) and I think it

does what you want.

You can find it at https://github.com/finnlabs/chiliproject_my_project_page

It's for Chiliproject, so I can't say if it runs on Redmine (it should). If you have any problems, maybe now is the time to upgrade to Chili? ;) If not,

maybe it's only simple things that don't work, I'm happy to accept patches :)

#2 - 2011-11-11 15:41 - Clemens Rudert

Thanks Tim for your reply. But i thought about an other solution. Maybe i described it not perfect. I added a pinting what i mean. (hope you can

identify it)

So i only want to modify the login procedure so that it can decide is the user who logging in member of a special group. If he is => open special view

which only shows the tickets of the project in which the user is member. On this page you have no redmine typical layout. Only a list with the issues

and a logout button. It would be great if someone has tips what i must do to bring it to run.

Greets

clemens

#3 - 2011-11-11 15:45 - Clemens Rudert
https://github.com/finnlabs/chiliproject_my_project_page


oh. i cant add files...

#4 - 2011-11-16 02:51 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Invalid

Clemens Rudert wrote:

I need help in a difficult issue.  I tried to post in the Forum but I didn't get a answer. So I try it this way.

 I hope i can find some help here.

 This is definitely something that belongs to the forum instead of the issue tracker independent of the fact if someone has answered to your forum post

or not.
